$icon-size: 16px;

.gpm-button {
  $root: &;

  display: flex;
  align-items: center;
  justify-content: center;
  height: 48px;
  padding: 0 16px;
  border-radius: 8px;

  &__prev-icon,
  &__append-icon {
    display: inline-flex;
    width: $icon-size;
    height: $icon-size;

    svg {
      width: $icon-size;
      height: $icon-size;
    }
  }

  &__prev-icon {
    margin-right: 8px;
  }

  &__append-icon {
    margin-left: 8px;
  }

  &--green {
    background-color: $main-green;
    color: $white;
  }
}
